interface TokenInterface {
    authToken: string | null | undefined;
    expireAt: Date | null;
}
/**
 * Token Object
 */
declare class TokenObject {
    private readonly tokenName;
    constructor(tokenName: string);
    isTokenExpire(): boolean;
    isTokenExist(): boolean;
    setToken(value: string, expiresAt: Date): void;
    getToken(): TokenInterface;
    removeToken(): void;
}
